#! /bin/sh

TARGET="2.6.24-16-generic"
KERNEL=`uname -r`

if [ "$KERNEL" != "$TARGET" ]
then
    echo "Ce modules est destine au kernel $TARGET (Ubuntu 8.04)"
    echo "Installation impossible"
    echo "Vous pouvez reconstruire le module avec les commandes"
    echo "make && make install"
    exit 
fi

MODULE_PATH="/lib/modules/$KERNEL/kernel/drivers/net/wwan/"

mkdir -p /lib/modules/$KERNEL/kernel/drivers/net/wwan/ > /dev/null 2>&1
cp hso.ko $MODULE_PATH
depmod -ae
cp -f  hso.udev /etc/udev/rules.d/z20_hso-udev.rules
cp -f rezero /usr/sbin/
/etc/init.d/udev restart

echo "Entrez votre code PIN dans le fichier conninfo.ini"
echo "Pour lancer la connexion:"
echo "Allez dans le repertoire hso puis faites"
echo "sudo ./connect.sh up"
echo "Pour couper la connexion:"
echo "sudo ./connect.sh down"
